Subject: Re: Disabling "TCP Treason uncloaked"

From: Just Marc <[email-masked]>
Date: Wed, 03 May 2006 14:11:06 +0100

Hi
> On Wed, May 03, 2006 at 01:49:05PM +0100, Just Marc wrote:
>   
>> You're right, actually this box serves http/ftp file transfers only, 
>> it's a mirror with a large amount of downloads a day.
>>     
>
> That's interesting.  The RX bug that I fixed earlier would usually
> manifest itself under exactly these conditions.  Alas you're running
> a fixed kernel.
>
>   
>> I gave it another look, many of the prints are repeat prints for the 
>> same remote IPs,
>>     
>
> Can you take a tcpdump of the TCP sessions involving those IPs and
> then show me the sections that occur when those messages are triggered?
>
>   
OK, I'll try that.
>> I agree, however, I think it's pretty good to allow an admin to toggle 
>> it off completely.  Maybe that's all we need, really.
>>     
>
> The question is always what you want to be off and what to leave on.
> After all, you can turn off all printk's to the console through /proc.
> If you also tell klogd to ignore them then you won't see anything at
> all (unless you run dmesg).
>   
The problem is that it's really BAD to suppress all messages, there may 
be critical ones.  In my opinion while the treason uncloaked message can 
help uncover bugs it is mostly redundant on a day to day usage for 
probably 99% of the scenarios.

Marc